@charset "utf-8";

*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --main-color: #eff9fb;
  --accent-color: #a0cad5;
  --dark-color: #588a97;
  --text-color: #262626;
  --pale-color: #cccccc;
}


/* ======== 共通設定 ======== */
body {
  background-color: #fff;
  font-family: 'EB Garamond', 'Zen Old Mincho';
  color: var(--text-color);
  line-height: 1.6;
  letter-spacing: 0.1rem;
}

p {
  padding-bottom: 1.5rem;
}

.annotation {
  font-size: 14px;
  margin: 0 auto;
  text-align: center;
}

ul {
  list-style: none;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover,
a:hover .right-arrow,
.link-accent a:hover {
  color: var(--accent-color);
}

img {
  max-width: 100%;
  vertical-align: middle;
}

.logo {
  width: 85px;
}

.logo:hover {
  opacity: 0.6;
}

.main-heading-container {
  height: 50dvh;
  position: relative;
  text-align: center;
}

.main-heading-wrap {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.main-heading {
  margin-bottom: 10px;
  font-size: 72px;
  font-weight: normal;
  color: var(--dark-color);
}

.main-heading-text {
  font-size: 20px;
  color: var(--dark-color);
}

.sub-heading {
  text-align: center;
  margin-bottom: 80px;
  border-bottom: 1px solid var(--pale-color);
}

.section-title {
  font-size: 32px;
  font-weight: normal;
  padding-bottom: 30px;
}

.border-sub-heading {
  font-size: 28px;
  font-weight: 400;
  padding: 0 1rem 0.1rem 1rem;
  background: transparent;
  border-left: solid 6px var(--accent-color);
  margin-bottom: 30px;
}

.new-tab-icon img {
  width: 0.9em;
  padding-left: 4px;
  padding-bottom: 4px;
}

.blank:hover .new-tab-icon {
  opacity: 0.5;
}

.br-switch {
  display: none;
}

.sp-only,
.mobile-header-jp {
  display: none;
}


/* ======== 横幅余白 ======== */
.section-wide {
  width: min(90%, 1800px);
  margin: 0 auto;
}

.section-medium {
  width: min(70%, 980px);
  margin: 0 auto;
}

.section-narrow {
  width: min(50%, 700px);
  margin: 0 auto;
}


/* ======== 上下余白 ======== */
.pb-l {
  padding-bottom: 90px;
}

.ptpb-l {
  padding-top: 90px;
  padding-bottom: 90px;
}

.pt-l-pb-3l {
  padding-top: 90px;
  padding-bottom: 120px;
}

.pt-s {
  padding-top: 70px;
}

.pb-s {
  padding-bottom: 70px;
}

.pt40 {
  padding-top: 40px;
}

.pb40 {
  padding-bottom: 40px;
}

.pt-s-pb-xl {
  padding-top: 70px;
  padding-bottom: 90px;
}

.mtmb-m {
  margin-top: 80px;
  margin-bottom: 80px;
}

.mtmb-s {
  margin-top: 60px;
  margin-bottom: 60px;
}

.mtmb-xs {
  margin-top: 40px;
  margin-bottom: 40px;
}

/* ======== ヘッダー ======== */
header {
  width: 100%;
  height: 50dvh;
  position: fixed;
  inset: 0;
  z-index: 777;
  pointer-events: none;
  transition: opacity 0.1s ease;
}

.header-container {
  padding-top: 30px;
  position: relative;
}

.header-wrap {
  position: absolute;
  left: 0;
  margin-top: 14px;
}

.header-category {
  position: absolute;
  right: -2%;
}

.header-logo,
.header-category {
  pointer-events: auto;
}

.header-category ul {
  font-size: 20px;
}

.header-category ul li {
  margin-top: 14px;
  margin-bottom: 14px;
}

.hamburger-menu {
  display: none;
}


/* ======== フッター ======== */
footer {
  width: 100%;
  background-color: var(--main-color);
}

.footer-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
}

.footer-category {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding-left: 20px;
  border-left: solid 0.5px var(--pale-color);
  font-size: 16px;
  gap: 60px;
}

.footer-category li {
  padding-bottom: 10px;
}

.official-link-container {
  min-width: 45%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 10%;
}

.official-link-wrap {
  flex: 1;
}

.official-link-item {
  padding-bottom: 35px;
}

.link-title {
  font-size: 15px;
  font-weight: bold;
  border-bottom: solid 0.5px var(--pale-color);
  margin-bottom: 10px;
  padding: 0 0 3px 8px;
}

.instagram-link-title {
  display: flex;
  flex-direction: row;
  border-bottom: solid 0.5px var(--pale-color);
  margin-bottom: 10px;
  padding: 0 0 14.5px 0;
}

.instagram {
  width: 29px;
  height: 29px;
  object-fit: cover;
}

.instagram-link-title h4 {
  font-size: 15px;
  font-weight: bold;
  padding-left: 14.5px;
}

.official-link {
  display: flex;
  flex-direction: row;
  gap: 15px;
}

.official-link li a {
  font-size: 14px;
  padding-left: 8px;
}

.footer-heading {
  color: #333;
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 35px;
}

.right-arrow {
  display: inline-block;
  color: var(--dark-color);
  line-height: 1;
  position: relative;
  width: 0.4rem;
  height: 0.4rem;
  margin-right: 5px;
  transform: translateX(-25%) rotate(45deg);
}

.right-arrow::before, .right-arrow::after {
  content: '';
  position: absolute;
  background: currentColor;
  border-radius: 0.1rem;
}

.right-arrow::before {
  top: 0;
  left: 0;
  right: 0;
  height: 0.1rem;
}

.right-arrow::after {
  top: 0;
  right: 0;
  bottom: 0;
  width: 0.1rem;
}

.footer-info {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 60px;
  font-size: 15px;
}

.footer-info p {
  padding-bottom: 0;
}

.copyright {
  text-align: center;
  padding-bottom: 20px;
}


/* PCのみ */
@media screen and (min-width: 1025px) {

  .header-logo,
  .header-category {
    transition: transform 1s ease-in-out;
  }

  .header-logo.hidden {
    transform: translateX(-100vw);
  }

  .header-category.hidden {
    transform: translateX(100vw);
  }
}


/* タブレット */
@media screen and (max-width: 1024px) {
  /* ======== MOBILEのみ ======== */
  header {
    transition: transform 0.8s linear;
  }

  header.hidden {
    transform: translateY(-50vh);
  }

  /* ======== 共通設定 ======== */
  .main-heading-container {
    height: 30dvh;
  }

  .main-heading-wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -20%);
  }

  .main-heading {
    line-height: 1;
  }

  .sub-heading {
    margin-top: 40px;
    margin-bottom: 40px;
  }

  /* ======== 横幅余白 ======== */
  .section-wide {
  width: 90%;
  }

  .section-narrow,
  .section-medium {
    width: 70%;
  }

  /* ======== ヘッダー ======== */
  .header-container {
    padding-top: 15px;
  }

  .header-wrap {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    left: 0;
  }

  .hamburger {
    pointer-events: auto;
  }

  .logo {
    width: 85px;
  }

  .br-switch {
    display: block;
  }

  /* ======== ハンバーガーメニュー ======== */
  .hamburger-menu,
  .mobile-header-jp {
    display: block;
  }

  .hamburger {
    position: relative;
    width: 36px;
    height: 25px;
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
  }

  .hamburger span,
  .hamburger::before,
  .hamburger::after {
    content: "";
    position: absolute;
    width: 36px;
    height: 1.5px;
    background: var(--text-color);
    transition: transform 0.3s ease, opacity 0.3s ease;
  }

  .hamburger::before {
    transform: translateY(-10px);
  }

  .hamburger::after {
    transform: translateY(10px);
  }

  /* クリック後（バツに変形） */
  .hamburger.active::before {
    transform: rotate(45deg) translateY(0);
  }

  .hamburger.active span {
    opacity: 0;
  }

  .hamburger.active::after {
    transform: rotate(-45deg) translateY(0);
  }

  .header-category {
    display: none;
    background: var(--accent-color);
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100dvh;
    z-index: 998;
  }

  .header-category a:hover {
    color: var(--main-color);
  }

  .header-category ul {
    width: 80%;
    max-height: calc(100dvh - 110px);
    overflow-y: auto;
    position: absolute;
    top: 12%;
    left: 10%;
    font-size: 24px;
    border-left: solid 1px var(--text-color);
    padding-left: 30px;
  }

  .header-category ul li {
    margin-top: 60px;
    margin-bottom: 60px;
  }

  .header-category ul li:first-child {
    margin-top: 30px;
  }

  .header-category ul li:last-child {
    margin-bottom: 30px;
  }

  .header-category.active {
    display: block;
  }

  .no-scroll {
    position: fixed;
    width: 100%;
    overflow: hidden;
  }

  .mobile-header-category {
    font-weight: bold;
  }

  .mobile-header-jp {
    font-size: 20px;
  }

  /* ======== フッター ======== */
  .footer-container {
    width: 80%;
    flex-direction: column;
    align-items: flex-start;
    gap: 80px;
  }
  
  .official-link-container {
    width: 100%;
    min-width: none;
    gap: 10%;
  }

  .footer-info .br-switch {
    display: none;
  }

  .copyright {
    padding-top: 15px;
    padding-bottom: 15px;
  }

}


/* スマートフォン */
@media screen and (max-width: 767px) {

  /* ======== 共通設定 ======== */
  .main-heading-container {
    height: 36dvh;
  }

  .main-heading {
    margin-bottom: 6px;
    font-size: 54px;
    line-height: 1em;
  }

  .main-heading-text {
    font-size: 19px;
  }

  .sub-heading {
    margin-top: 0;
  }

  .border-sub-heading {
    font-size: 24px;
    margin-bottom: 24px;
  }

  .section-title {
    font-size: 26px;
    line-height: 1.3em;
  }

  .sp-only {
    display: block;
  }

  /* ======== 横幅余白 ======== */
  .section-medium,
  .section-narrow {
    width: 90%;
  }

  /* ======== 上下余白 ======== */
  .pb-l {
    padding-bottom: 60px;
  }

  .ptpb-l {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .pt-l-pb-3l {
    padding-top: 60px;
    padding-bottom: 90px;
  }

  .pt-s-pb-xl {
    padding-top: 40px;
    padding-bottom: 60px;
  }

  .pt40 {
    padding-top: 20px;
  }

  /* ======== ヘッダー ======== */
  .logo {
    width: 65px;
  }

  /* ======== ハンバーガーメニュー ======== */
  .header-category ul {
    font-size: 20px;
  }

  .header-category ul li {
    margin-top: 40px;
    margin-bottom: 40px;
  }

  .header-category ul li:first-child {
    margin-top: 15px;
  }

  .header-category ul li:last-child {
    margin-bottom: 15px;
  }

  .mobile-header-jp {
    font-size: 16px;
  }

  /* ======== フッター ======== */
  footer .ptpb-l {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  .footer-container {
    width: min(75%, 980px);
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
  }

  .footer-category {
    padding-left: 0;
    border-left: none;
    gap: 40px;
  }

  .official-link-container {
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
  }

  .official-link-wrap {
    width: 100%;
  }

  .official-link li a {
    font-size: 15px;
  }

  .official-link-item {
    padding-bottom: 25px;
  }

  .footer-info {
    gap: 30px;
  }

  .footer-heading {
    margin-bottom: 20px;
  }

  .footer-info .br-switch {
    display: block;
  }

}